View Issue Details

IDProjectCategoryView StatusLast Update
06477Development [All Projects] Survey takingpublic2015-08-21 15:51
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version 
Target Version2.05Fixed in Version2.05 
Summary06477: "multi choice with comment" can put comment on non-checked sub-question
Description

With javascript activated, we can't comment a non-checked sub-question, then there are no difference between "Multi-text question" and "multi choice with comments question".

Without javascript: we can comment not checked input.text

Then tehre are a difference between "Multi-text question" and "multi choice with comments question"
Ans we can have something like this:
Check your loved color, and put a comment afeter each color.

Steps To Reproduce

Create a "multi choice with comments question":
Activate:
Check with and without js.

Additional Information

It's a behaviour restriction in javascript, easy to remove.
But it's a behaviour restriction since 1.90 or before, then we can put a new atribute:

  • Comment only checked sub-question (default)
  • Comment only non-checked sub-question
  • Comment all sub-question
TagsNo tags attached.

Relationships

related to 06988 closedtpartner Bug reports Conditions not set 
parent of 07753 closedDenisChenu Development  Need documentation for Q attribute : commented_checkbox 

Activities

c_schmitz

c_schmitz

2012-08-13 12:08

administrator   ~20384

Feel free to fix it for 2.1

DenisChenu

DenisChenu

2012-08-13 12:20

developer   ~20385

Not 2.0 ?????

It's not a big functionnality.

DenisChenu

DenisChenu

2013-04-09 17:43

developer   ~24926

Need documentation

Related Changesets

LimeSurvey: 2.05 e90c89b7

2013-04-09 15:28:03

DenisChenu

Details Diff
New feature 06477: optionnal comment place with "multi choice with comment"
New feature: can replace javascript file in template
Dev: New feature: can replace expression manager function in template.js
Affected Issues
06477
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
add - scripts/multiplechoice_withcomments.js Diff File

Issue History

Date Modified Username Field Change
2012-08-13 11:42 DenisChenu New Issue
2012-08-13 12:07 c_schmitz Target Version => 2.00+
2012-08-13 12:08 c_schmitz Target Version 2.00+ => 2.10
2012-08-13 12:08 c_schmitz Note Added: 20384
2012-08-13 12:08 c_schmitz Assigned To => DenisChenu
2012-08-13 12:08 c_schmitz Status new => assigned
2012-08-13 12:20 DenisChenu Note Added: 20385
2012-10-02 12:32 c_schmitz Project Bug reports => Development
2012-12-06 02:54 DenisChenu Relationship added related to 06988
2013-04-05 12:11 DenisChenu Product Version 1.92+ =>
2013-04-05 12:11 DenisChenu Target Version 2.10 => 2.05
2013-04-09 17:43 DenisChenu Changeset attached => LimeSurvey 2.05 e90c89b7
2013-04-09 17:43 DenisChenu Note Added: 24926
2013-04-09 17:43 DenisChenu Status assigned => resolved
2013-04-09 17:43 DenisChenu Fixed in Version => 2.05
2013-04-09 17:43 DenisChenu Resolution open => fixed
2013-04-09 17:45 DenisChenu Relationship added parent of 07753
2015-08-21 15:51 c_schmitz Status resolved => closed